package common.dimension;

import java.util.Map;

import common.collect.Maps;

public enum SkyboxType {
	;
	
	private static final Map<String, SkyboxType> LOOKUP = Maps.newHashMap();

	private final String name;
	private final String texture;
	
	private SkyboxType(String name, String texture) {
		this.name = name;
		this.texture = texture;
	}

	public String toString() {
		return this.name;
	}
	
	public String getTexture() {
		return this.texture;
	}

	public static SkyboxType getByName(String name) {
		return LOOKUP.get(name.toLowerCase());
	}
	
	static {
		for(SkyboxType type : values()) {
			LOOKUP.put(type.name, type);
		}
	}
}